{% if posts.pagination.pages is not empty %}

    {% set pagination_styles = "w-[50px] h-[50px] inline-flex items-center justify-center" %}

    <div class="Pagination flex justify-between">
        <ul class="Pagination__list Flex Flex--center">
            {% for page in posts.pagination.pages %}
                <li class="Pagination__link">
                    {% if page.link %}
                        <a href="{{ page.link }}" class="{{ page.class }} {{ pagination_styles }}text-tertiary bg-white justify-center font-medium">{{ page.title }}</a>
                    {% else  %}
                        <span class="{{ page.class }} {{ pagination_styles }} font-bold bg-blueOpacity text-primaryBlue">{{ page.title }} </span>
                    {% endif %}
                </li>
            {% endfor %}
        </ul>
        	{% if posts.pagination.next %}
		<a class="Button--secondary" href="{{posts.pagination.next.link}}" class="next {{posts.pagination.next.link|length ? '' : 'invisible'}}">Następna strona</a>
	{% endif %}
    </div>  
{% endif %}
